#ifndef IMPLEMENTATIONENDPOINT_H
#define IMPLEMENTATIONENDPOINT_H

#include <Endpoint.h>
#include <SpejsNode.h>

class ImplementationEndpoint : public Endpoint {
protected:
    rBootHttpUpdate* otaUpdater = 0;

public:
    ImplementationEndpoint() : Endpoint("$implementation") {}

    EndpointResult onValue(String property, String value);
    void otaUpdateCallback(rBootHttpUpdate& updater, bool result);
    void startOTA();
};
#endif
